Bitcoin Forum
October 20, 2017, 12:01:23 AM *
News: Latest stable version of Bitcoin Core: 0.15.0.1  [Torrent]. (New!)
 
   Home   Help Search Donate Login Register  
Pages: [1]
  Print  
Author Topic: [mining] debian wheezy 64 bit, nvidia gtx 650 ti vs cgminer  (Read 1756 times)
MrEHQE
Full Member
***
Offline Offline

Activity: 187


https://www.larvalabs.com/cryptopunks/details/9724


View Profile WWW
May 09, 2013, 05:21:44 PM
 #1

Vorrei fare mining sfruttando cuda e cgminer, ma non riesco a far vedere la mia gtx 650 ti (ovviamente, siamo su linux debian 64 bit wheezy/testing) - all'avvio di cgminer ottengo questo errore e il solo mining da cpu:

 [2013-05-09 17:33:43] Started cgminer 2.11.3
 [2013-05-09 17:33:43] Error -1: Getting Device IDs (num)
 [2013-05-09 17:33:43] clDevicesNum returned error, no GPUs usable

 [2013-05-09 17:33:43] Started cgminer 2.11.3
 [2013-05-09 17:33:43] Error -1: Getting Device IDs (num)
 [2013-05-09 17:33:43] clDevicesNum returned error, no GPUs usable
 [2013-05-09 17:33:43] Need to specify at least one pool server.

cgminer è la versione 2.11.3 scaricata con apt-get, ma se provo a compilare la 3.1.0 autogen.sh mi da questo:

Configuration Options Summary:

  curses.TUI...........: FOUND: -lncurses
  OpenCL...............: FOUND. GPU mining support enabled
  scrypt...............: Disabled
  ADL..................: SDK NOT found, GPU monitoring support DISABLED

  Avalon.ASICs.........: Disabled
  BFL.ASICs............: Disabled
  BitForce.FPGAs.......: Disabled
  Icarus.FPGAs.........: Disabled
  ModMiner.FPGAs.......: Disabled
  Ztex.FPGAs...........: Disabled

Compilation............: make (or gmake)
  CPPFLAGS.............:
  CFLAGS...............: -g -O2
  LDFLAGS..............:  -lpthread
  LDADD................:  -lcurl   -ljansson -lpthread -lOpenCL    -lm 

Installation...........: make install (as root if needed, with 'su' or 'sudo')
  prefix...............: /usr/local

dopo aver corretto queste variabili:
CFLAGS=-I/usr/lib/nvidia-cuda-toolkit/include && LDFLAGS=-L/usr/lib/nvidia.
Sembra avere problemi con
ADL..................: SDK NOT found, GPU monitoring support DISABLED

cos'è? come si installa? a chi mi rivolgo? E' una domanda da niubbo? aiuto! ho paura Wink

Open Bazaar strore: ob://QmTAueKBGV5QnNwmwpmhAVKfCvxxsQsT4CTnSsnKuacGug/store
steemit blog:
https://steemit.com/@mrehqe
1508457683
Hero Member
*
Offline Offline

Posts: 1508457683

View Profile Personal Message (Offline)

Ignore
1508457683
Reply with quote  #2

1508457683
Report to moderator
Advertised sites are not endorsed by the Bitcoin Forum. They may be unsafe, untrustworthy, or illegal in your jurisdiction. Advertise here.
1508457683
Hero Member
*
Offline Offline

Posts: 1508457683

View Profile Personal Message (Offline)

Ignore
1508457683
Reply with quote  #2

1508457683
Report to moderator
1508457683
Hero Member
*
Offline Offline

Posts: 1508457683

View Profile Personal Message (Offline)

Ignore
1508457683
Reply with quote  #2

1508457683
Report to moderator
1508457683
Hero Member
*
Offline Offline

Posts: 1508457683

View Profile Personal Message (Offline)

Ignore
1508457683
Reply with quote  #2

1508457683
Report to moderator
ziomik
Legendary
*
Offline Offline

Activity: 1946


https://blog.comprarebitcoin.info


View Profile WWW
May 10, 2013, 07:00:20 AM
 #2

Credo tu abbia bisogno di questo https://developer.nvidia.com/cuda-downloads

"Se domani senti due massaie che parlano di bitcoin tra di loro dal macellaio, forse e' il momento di vendere.. se pero' le sentirai fra 10 anni forse staranno solo pagando il conto" GBianchi
---- +++ ----
https://www.comprarebitcoin.info | https://blog.comprarebitcoin.info | https://www.bitcoinitalia.com
MrEHQE
Full Member
***
Offline Offline

Activity: 187


https://www.larvalabs.com/cryptopunks/details/9724


View Profile WWW
May 10, 2013, 03:29:00 PM
 #3

Di, ho scaricato il file cuda_5.0.35_linux_64_ubuntu11.10-1.run ma quando lo eseguo mi da questo errore, anche con gnome3 down e da root:
cuda_5.0.35_linux_64_ubuntu11.10-1.run: 1: eval: ./cuda-installer.pl: Permission denied

in sostanza non riesce a scompattare ed installare  :/ eppure hos eguito questa guida alla lettera: http://www2.warwick.ac.uk/fac/sci/statistics/staff/academic-research/graham/cuda5-debian-wheezy/

idee? è un vero peccato, non riesco neanche ad usare cudaminer per litecoin (anche lui necessita di sdk)... penso dovrei essere sui 150 kh/s con la mia gpu, per ora vado sui 10.25 con cpu ... bho, datemi una mano, i primi denari li investo in una ati Wink

Open Bazaar strore: ob://QmTAueKBGV5QnNwmwpmhAVKfCvxxsQsT4CTnSsnKuacGug/store
steemit blog:
https://steemit.com/@mrehqe
ziomik
Legendary
*
Offline Offline

Activity: 1946


https://blog.comprarebitcoin.info


View Profile WWW
May 10, 2013, 04:36:58 PM
 #4

prova con questa guida http://page.math.tu-berlin.de/~chenmin/old/cuda_debian.pdf

"Se domani senti due massaie che parlano di bitcoin tra di loro dal macellaio, forse e' il momento di vendere.. se pero' le sentirai fra 10 anni forse staranno solo pagando il conto" GBianchi
---- +++ ----
https://www.comprarebitcoin.info | https://blog.comprarebitcoin.info | https://www.bitcoinitalia.com
MrEHQE
Full Member
***
Offline Offline

Activity: 187


https://www.larvalabs.com/cryptopunks/details/9724


View Profile WWW
May 10, 2013, 11:45:18 PM
 #5

Ne sono venuto a capo, era una di quelle cose assurde: avevo messo /tmp in ram, e neanche root aveva i permessi per scriverci. Un'assurdità. Finalmente sono riuscito ad installare cuda, riesco a compilare:

------------------------------------------------------------------------
cgminer 3.1.0
------------------------------------------------------------------------


Configuration Options Summary:

  curses.TUI...........: FOUND: -lncurses
  OpenCL...............: FOUND. GPU mining support enabled
  scrypt...............: Disabled
  ADL..................: SDK NOT found, GPU monitoring support DISABLED

  Avalon.ASICs.........: Disabled
  BFL.ASICs............: Disabled
  BitForce.FPGAs.......: Disabled
  Icarus.FPGAs.........: Disabled
  ModMiner.FPGAs.......: Disabled
  Ztex.FPGAs...........: Disabled

Compilation............: make (or gmake)
  CPPFLAGS.............:
  CFLAGS...............: -g -O2
  LDFLAGS..............:  -lpthread
  LDADD................:  -lcurl   -ljansson -lpthread -lOpenCL    -lm 

Installation...........: make install (as root if needed, with 'su' or 'sudo')
  prefix...............: /usr/local


 ma quando provo ad avviare il programma, mi si chiude istantaneamente. Dando:
cgminer -n
 [2013-05-11 01:26:21] CL Platform 0 vendor: Advanced Micro Devices, Inc.                   
 [2013-05-11 01:26:21] CL Platform 0 name: AMD Accelerated Parallel Processing                   
 [2013-05-11 01:26:21] CL Platform 0 version: OpenCL 1.2 AMD-APP (938.2)                   
 [2013-05-11 01:26:21] Error -1: Getting Device IDs (num)                   
 [2013-05-11 01:26:21] clDevicesNum returned error, no GPUs usable                   
 [2013-05-11 01:26:21] 0 GPU devices max detected                   
 [2013-05-11 01:26:21] USB all: found 12 devices - listing known devices                   
 [2013-05-11 01:26:21] No known USB devices                   

la vga è questa:
lspci -nn | grep VGA
01:00.0 VGA compatible controller [0300]: NVIDIA Corporation Device [10de:11c6] (rev a1)

... continua a non vederla. cosa sbaglio?

Open Bazaar strore: ob://QmTAueKBGV5QnNwmwpmhAVKfCvxxsQsT4CTnSsnKuacGug/store
steemit blog:
https://steemit.com/@mrehqe
MrEHQE
Full Member
***
Offline Offline

Activity: 187


https://www.larvalabs.com/cryptopunks/details/9724


View Profile WWW
May 15, 2013, 08:05:57 AM
 #6

up

Open Bazaar strore: ob://QmTAueKBGV5QnNwmwpmhAVKfCvxxsQsT4CTnSsnKuacGug/store
steemit blog:
https://steemit.com/@mrehqe
MrEHQE
Full Member
***
Offline Offline

Activity: 187


https://www.larvalabs.com/cryptopunks/details/9724


View Profile WWW
May 16, 2013, 04:57:20 PM
 #7

Scoperto qual'era il problema: per errore erano installati gli sdk per ATI invece di nvidia. Sono un deficiente, grazie per l'aiuto Wink

per i posteri:

sudo apt-get install nvidia-opencl-icd

ovviamente dopo aver rimosso:

sudo apt-get remove amd-opencl-icd

Siamo sui 46 mh/s per i bitcoin ... cudaminer in litecon ne promette 140kh/s ma adesso ho problemi a compilare cudaminer per i litecoin, mi da questo errore:

gcc: error trying to exec 'cc1plus': execvp: File o directory non esistente
make[2]: *** [salsa_kernel.o] Error 1
make[2]: Leaving directory `/home/mrehqe/tmp/litecoin/cudaminer-2013-04-30/cudaminer-src-2013.04.30'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/mrehqe/tmp/litecoin/cudaminer-2013-04-30/cudaminer-src-2013.04.30'
make: *** [all] Error 2

mi sa che apro un thread apposta.

Open Bazaar strore: ob://QmTAueKBGV5QnNwmwpmhAVKfCvxxsQsT4CTnSsnKuacGug/store
steemit blog:
https://steemit.com/@mrehqe
Pages: [1]
  Print  
 
Jump to:  

Sponsored by , a Bitcoin-accepting VPN.
Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2006-2009, Simple Machines Valid XHTML 1.0! Valid CSS!